Bug 228055 - Go to Declaration very slow
Go to Declaration very slow
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: FindBugs
7.4
PC Linux
: P3 (vote)
: 7.4
Assigned To: Jan Lahoda
issues@java
: PERFORMANCE, THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-28 17:33 UTC by Jesse Glick
Modified: 2013-05-28 14:21 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
.npss file attached from NetBeans (157.77 KB, application/x-npss)
2013-03-28 17:33 UTC, Jesse Glick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2013-03-28 17:33:29 UTC
20130325. It seems every time I go to a declaration, the IDE is very slow to respond: freezes for several seconds. I captured a thread dump and found findbugs.RunInEditor taking up most of the time. Surely this should be done in the background?
Comment 1 Jesse Glick 2013-03-28 17:33:45 UTC
Created attachment 133184 [details]
.npss file attached from NetBeans

.npss file
Comment 2 Jesse Glick 2013-03-28 17:43:06 UTC
Indeed disabling the FindBugs plugin makes the IDE far more responsive.
Comment 3 Jan Lahoda 2013-04-11 10:42:22 UTC
Lets see if this is going to help:
http://hg.netbeans.org/jet-main/rev/0d9e55eaf040
Comment 4 Quality Engineering 2013-04-13 13:09:04 UTC
Integrated into 'main-golden', will be available in build *201304131047* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/
User: 
Log:
Comment 5 Jan Lahoda 2013-05-27 05:37:06 UTC
I'll assume it did help.
Comment 6 Jesse Glick 2013-05-28 14:21:42 UTC
Sorry, neglected to reënable the FindBugs plugin to test this. So far in 20130528-a3efd58900c1 it is seeming OK.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo